:root {
	--annotation-color-0: #FAF744;
	--annotation-color-light-0: hsl(from var(--annotation-color-0) h s l / 30%);
	--annotation-color-light-plain-0: #fdfdc7;
	--annotation-color-1: #B3F4A0;
	--annotation-color-light-1: hsl(from var(--annotation-color-1) h s l / 30%);
	--annotation-color-light-plain-1: #e8fce2;
	--annotation-color-2: #AADFF8;
	--annotation-color-light-2: hsl(from var(--annotation-color-2) h s l / 30%);
	--annotation-color-light-plain-2: #e5f5fd;
	--annotation-color-3: #FDA4A4;
	--annotation-color-light-3: hsl(from var(--annotation-color-3) h s l / 30%);
	--annotation-color-light-plain-3: #fee4e4;
}

.widget-annotation-header .widget-title-wrapper{
	display: flex;
	gap: 0.5rem;
	align-items: center;
}

.widget-annotation-header-left-part {
	order: 0;
}
.widget-annotation-header .widget-title {
	order: 1;
}

.widget-annotation-header-right-part {
	display: flex;
	gap: 0.5rem;
	width: calc(100% - 100px);
	justify-content: end;
	margin-left: auto;
	order: 2;
}

.annotation-empty-message {
	padding: 1rem;
}

.annotation-search-input {
	display: flex;
	width: calc(100% - 115px);
	max-width: 200px;
	border: 1px solid var(--lnb-green-color-40);
	padding: 0.3rem;
	box-sizing: border-box;
	border-radius: var(--lnb-xlight-border-radius);
}
.annotation-search-input:hover {
	border: 1px solid var(--lnb-green-color);
}

.annotation-list.annotation-padding {
	padding: 0.5rem;
}
.annotation-list.annotation-padding.annotation-math-field-focused {
	padding-bottom: 340px;
}

.annotation-list {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
}

.annotation-report-part-title {
	font-size: 1.1rem;
	font-weight: 600;
}

.annotation-content {
	padding: 0.5rem;
	display: flex;
	gap: 0.5rem;
	flex-direction: column;
	border-radius: var(--lnb-light-border-radius);
	position: relative;
}

.annotation-printed {
	display: flex;
	gap: 0.5rem;
	align-items: baseline;
	margin: 0.5rem 0;
	font-size: 0.85rem;
}
.annotation-printed .annotation-subtitle,
.annotation-printed .annotation-quote {
	flex-shrink: 0;
}
.annotation-printed .annotation-quote {
	border-right: 1px solid var(--lnb-strong-grey-color);
}

.annotation-counter-icon {
	background-color: var(--lnb-grey-color);
	aspect-ratio: 1;
	height: 1.2rem;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 50%;
	font-size: 0.85rem;
	flex-shrink: 0;
}

.annotation-counter-icon-red {
	background-color: var(--lnb-orange-color);
	color: var(--lnb-white-color);
	cursor: pointer;
}

.annotation-content.annotation-content-selected {
	outline: 2px solid var(--lnb-strong-grey-color);
}

.annotation-content.annotation-content-selected.annotation-content-old {
	outline: 2px dotted var(--lnb-strong-grey-color);
}

.labdoc.annotation-preview-original {
	outline: 2px dotted var(--lnb-orange-color);
}

.annotation-header {
	display: flex;
	gap: 1rem;
	color: var(--lnb-strong-grey-color);
}

.annotation-header-right {
	margin-left: auto;
	display: flex;
	gap: 1rem;
}

.annotation-content:hover .annotation-hidden-part {
	visibility: visible;
}

.annotation-hidden-part {
	visibility: hidden;
}

.annotation-list-header {
	display: flex;
	gap: 0.5rem;
	align-items: baseline;
}

.annotation-title {
	font-size: 1rem;
	color: var(--lnb-default-font-color);
}

.annotation-subtitle {
	font-style: italic;
}

.annotation-header-info {
	flex-shrink: 0;
}

.annotation-icon-btn {
	font-size: 1rem;
	color: var(--lnb-strong-grey-color);
	cursor: pointer;
	border: none;
	background: transparent;
}
.annotation-icon-btn:hover{
	scale: 1.05;
}

.annotation-quote-wrapper {
	display: flex;
	align-items: baseline;
	gap: 0.5rem;
	justify-content: space-between;
	color: var(--lnb-charcoal-grey-color);
	font-family: var(--lnb-font-text);
}

.annotation-quote {
	font-style: italic;
	padding: 0 5px;
	border-left: 1px solid var(--lnb-strong-grey-color);
	overflow-x: auto;
}

.annotation-quote-close {
	max-height: 1.5rem;
	max-width: calc(100% - 10px);
	display: -webkit-box;
	-webkit-line-clamp: 1; /* Limits the number of lines */
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.annotation-text-read-only {
	font-family: var(--lnb-font-text);
}

.annotation-text-element-wrapper {
	display: flex;
	gap: 0.5rem;
	align-items: baseline;
	font-family: var(--lnb-font-text);
}
.annotation-text-element-wrapper .annotation-icon-btn {
	display: none;
}
.annotation-text-element-wrapper:hover .annotation-icon-btn {
	display: block;
}

.annotation-content .katex-display, 
.annotation-printed .katex-display{
	margin: 0;
	text-align: left;
	width: fit-content;
}

.annotation-math-field {
	flex-grow: 1;
	background: transparent;
	border: none;
}
.annotation-math-field::part(virtual-keyboard-toggle) {
	display: none;
}
.annotation-math-field:focus::part(virtual-keyboard-toggle) {
	display: flex;
}

.annotation-content-selected .annotation-math-field,
.annotation-content-selected .annotation-textarea{
	background: white;
	border: 1px solid var(--lnb-strong-grey-color);
	box-shadow: 0 0 3px var(--lnb-grey-color);
}

.annotation-math-field::part(menu-toggle) {
	display: none;
}

.annotation-textarea {
	border-radius: 3px;
	flex-grow: 1;
}

.annotation-hidden {
	font-style: italic;
}
.annotation-content-container {
	position: relative;
}
.annotation-previous-container {
	margin-top: 0.2rem;
	overflow-y: auto;
	max-height: 15rem;
	position: absolute;
	box-shadow: 0 0 3px var(--lnb-strong-grey-color);
	padding: 0 0.5rem;
	width: calc(100% - 2 * 0.5rem);
	z-index: 1;
	opacity: 1;
	font-family: var(--lnb-font-text);
}
.annotation-previous-loading {
	font-style: italic;
	font-size: 0.9rem;
	position: absolute;
	padding: 0 1rem;
	width: calc(100% - 2 * 1rem);
	z-index: 2;
	opacity: 1;
}
.annotation-previous-item {
	display: flex;
	gap: 1rem;
	align-items: baseline;
	justify-content: space-between;
	padding: 0.5rem;
	border-bottom: 1px solid var(--lnb-strong-grey-color);
}
.annotation-previous-item:last-child {
	border-bottom: none;
}

.annotation-previous-item .annotation-icon-btn {
	visibility: hidden;
}
.annotation-previous-item:hover {
	background-color: var(--lnb-light-grey-color);
	cursor: pointer;
}
.annotation-previous-item:hover .annotation-icon-btn {
	visibility: visible;
}
.annotation-previous-item:hover:not(:has(.annotation-icon-btn:hover)) .annotation-previous-text {
	color: var(--lnb-orange-color);
}

.lb_part_title_actions:hover .lnb-annotate-wrapper,
.ld_name_actions:hover .lnb-annotate-wrapper{
	visibility: visible;
}
.lnb-annotate-wrapper {
	visibility: hidden;
	background-color: var(--lnb-white-color);
	font-size: 1.1rem;
	padding: 0.2rem;
	border-radius: var(--lnb-light-border-radius);
	box-shadow: 0 0 3px var(--lnb-grey-color);
	display: inline-flex;
	align-items: center;
	gap: 0.5rem;
	position: relative;
	z-index: 1;
}
.lnb-annotate-wrapper .annotation-categories-buttons {
	display: none;
	padding: 0.2rem 0.5rem;
	position: absolute;
	left: calc(100% - 3px);
	box-shadow: 3px 0 3px -3px var(--lnb-grey-color),
			3px 3px 3px -3px var(--lnb-grey-color),
			3px -3px 3px -3px var(--lnb-grey-color);
	background-color: var(--lnb-white-color);
	border-radius: 0 var(--lnb-light-border-radius) var(--lnb-light-border-radius) 0;
}
.lnb-annotate-wrapper:hover {
	border-radius: var(--lnb-light-border-radius) 0 0 var(--lnb-light-border-radius);
}
.lnb-annotate-wrapper:hover .annotation-categories-buttons {
	display: flex;
}
.lnb-annotate-wrapper .lnb-icon-btn {
	font-size: 1rem;
	color: inherit;
	border-radius: calc(var(--lnb-light-border-radius) / 2);
}
.annotation-drawing-mode {
	position: absolute;
	top: 5px;
	left: 5px;
}
.annotation-drawing-mode .lnb-icon-btn {
	padding: 0.2rem 0;
}
.annotation-drawing-mode .annotation-annotate-btn {
	background-color: var(--annotation-color-light-0);
	padding: 0.2rem 0.4rem;
}
.annotation-drawing-mode .annotation-annotate-btn-active {
	color: var(--lnb-orange-color);
}

.annotation-drawing-wrapper:hover .annotation-drawing-mode,
.annotation-drawing-mode:hover,
.annotation-drawing-mode:has(.annotation-annotate-btn-active),
.lnb-rectangle-annotator-wrapper-edition:hover .annotation-drawing-mode {
	visibility: visible;
}
.annotation-categories-buttons {
	gap: 0.5rem;
	align-items: center;
	display: none;
}
.annotation-drawing-mode:hover .annotation-categories-buttons {
	display: flex;
}

#annotation-text-popin {
	position: absolute;
	top: 0;
	left: 0;
	background-color: var(--lnb-white-color);
	visibility: hidden;
	padding: 0.5rem;
	z-index: 9999;
	box-shadow: 0 0 0.5rem var(--lnb-strong-grey-color);
	border-top-right-radius: var(--lnb-light-border-radius);
	border-top-left-radius: var(--lnb-light-border-radius);
	border-bottom-right-radius: var(--lnb-light-border-radius);
	display: flex;
	gap: 0.5rem;
}

.r6o-span-highlight-layer {
	overflow: hidden;
}

.lnb-blinking {
	color: var(--lnb-blue-color-70);
	animation: blinker 1s linear infinite;
}
@keyframes blinker {
	50% {
		opacity: 0;
	}
}

.lnb-rectangle-annotator-wrapper {
	position: relative;
}

.labdoc:has(.ld_test_without_saving[data-in-edit='true']) .lnb-rectangle-annotator-annotation{
	display: none;
}

.lnb-rectangle-annotator-highlight {
	position: absolute;
	opacity: 0.4;
	visibility: hidden;
	border: 2px solid var(--lnb-strong-grey-color);
}

.lnb-rectangle-annotator-annotation {
	position: absolute;
	pointer-events: none;
	outline: 2px solid var(--lnb-grey-color);
}
.lnb-rectangle-annotator-annotation .lnb-icon-btn {
	position: absolute;
	top: 0;
	right: 0;
	pointer-events: auto;
	color: var(--lnb-orange-color-70);
}
.lnb-rectangle-annotator-annotation.lnb-rectangle-annotator-annotation-selected {
	outline: 2px solid var(--lnb-strong-grey-color);
}
.lnb-rectangle-annotator-wrapper-edition .lnb-rectangle-annotator-annotation.lnb-rectangle-annotator-annotation-selected {
	pointer-events: auto;
}
.lnb-rectangle-annotator-annotation-control-point {
	position: absolute;
	width: 10px;
	aspect-ratio: 1;
	border: 1px solid var(--lnb-grey-color);
	background-color: var(--lnb-white-color);
	border-radius: 50%;
	display: none;
	pointer-events: auto;
}
.lnb-rectangle-annotator-annotation.lnb-rectangle-annotator-annotation-selected .lnb-rectangle-annotator-annotation-control-point {
	display: block;
}

.annotator-viewer {
	display: none;
}
.annotator-hl {
	cursor: pointer;
}
.annotator-hl-selected {
	border-bottom: 2px solid var(--lnb-strong-grey-color);
}
.annotator-hl-hidden {
	background-color: transparent;
	border-bottom: none;
	cursor: default;
}
